package com.steerinfo.ems.njformula.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="null")
public class NjFormula implements IBasePO<String> {
    /**
     * ID(ID,VARCHAR,100)
     */
    @ApiModelProperty(value="ID",required=true)
    private String id;

    /**
     * 物料编码(MATERIALNO,VARCHAR,50)
     */
    @ApiModelProperty(value="物料编码",required=false)
    private String materialno;

    /**
     * 公式内容(CODE,VARCHAR,1000)
     */
    @ApiModelProperty(value="公式内容",required=false)
    private String code;

    /**
     * 备注(MEMO,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getMaterialno() {
        return materialno;
    }

    public void setMaterialno(String materialno) {
        this.materialno = materialno == null ? null : materialno.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", materialno=").append(materialno);
        sb.append(", code=").append(code);
        sb.append(", memo=").append(memo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}